[ Foro de Python ]

python como juntar una fecha con un archivo

04-Jan-2023 04:14
Invitado (Valentin Ivan)
0 Respuestas

Estimados buenas noches ,,a ala espera de su ayuda .... estoy tratanto de grabar la fecha junto con archivo ( es decir ejemplo fecha_nombrearchivo) y despositarlo en una ruta y tengo errores este es el script adaptado
----------------------------------------------------------------------------------------------------------------------------------
from pathlib
import Path import shutil
import datetime
desde = Path(r"C:/Users/vgm11/OneDrive/Documentos/00 practicas/practica ETL pyhton/Data_modificada/procesado/AsignacionOS.csv")

archivo = f"{str(datetime.datetime.now())}_{desde.name}"

hasta = Path(r"C:/Users/vgm11/OneDrive/Documentos/00 practicas/practica ETL pyhton/Data_modificada/procesado/historico_procesado+").joinpath(archivo)

shutil.move(desde.resolve(), hasta.resolve())

-------------------------------------------------------------------------------------------------------------------------------------
el error que me sale es el siguente

Output exceeds the size limit. Open the full output data in a text editor
FileNotFoundError Traceback (most recent call last) File c:\Users\vgm11\AppData\Local\Programs\Python\Python310\lib\shutil.py:815, in move(src, dst, copy_function) 814 try: --> 815 os.rename(src, real_dst) 816 except OSError:

FileNotFoundError: [WinError 3] El sistema no puede encontrar la ruta especificada: 'C:\Users\vgm11\OneDrive\Documentos\00 practicas\practica ETL pyhton\Data_modificada\procesado\AsignacionOS.csv' -> 'C:\Users\vgm11\OneDrive\Documentos\00 practicas\practica ETL pyhton\Data_modificada\procesado\historico_procesado+\2023-01-03 19:20:00.085198_AsignacionOS.csv'

During handling of the above exception, another exception occurred:

OSError Traceback (most recent call last) Cell In [65], line 5 3 archivo = f"{str(datetime.datetime.now())}_{desde.name}" 4 hasta = Path(r"C:/Users/vgm11/OneDrive/Documentos/00 practicas/practica ETL pyhton/Data_modificada/procesado/historico_procesado+").joinpath(archivo) ----> 5 shutil.move(desde.resolve(), hasta.resolve())

File c:\Users\vgm11\AppData\Local\Programs\Python\Python310\lib\shutil.py:835, in move(src, dst, copy_function) 833 rmtree(src) 834 else: --> 835 copy_function(src, real_dst) 836 os.unlink(src) 837 return real_dst

File c:\Users\vgm11\AppData\Local\Programs\Python\Python310\lib\shutil.py:434, in copy2(src, dst, follow_symlinks) ... 257 # macOS 258 if _HAS_FCOPYFILE: 259 try:

OSError: [Errno 22] Invalid argument: 'C:\Users\vgm11\OneDrive\Documentos\00 practicas\practica ETL pyhton\Data_modificada\procesado\historico_procesado+\2023-01-03 19:20:00.085198_AsignacionOS.csv'




Si ya eres usuario del sistema, puedes contestar desde tu cuenta y así ganar prestigio.

Si sólo eres un visitante, puedes optar por...